import java.io.*;
import java.util.*;

public class TestSerialisierung {

   public static void main(String[] args) {
      TestSerialisierung t = new TestSerialisierung();
      
      t.schreibeObjekte();
      t.leseObjekte();
   }
   
   public void schreibeObjekte() {
      try {
      FileOutputStream fs = new FileOutputStream("test1.ser");
      ObjectOutputStream os = new ObjectOutputStream(fs);
      os.writeInt(123);
      os.writeObject(new Integer(4711)) ;
      os.writeObject("Hallo");
      os.writeObject(new Time(10, 30));
      os.writeObject(new Time(11, 25));
      os.close();
      }
      catch (IOException e) {
      System.err.println(e.toString());
      }
   }
   
   public void leseObjekte() {
      try {
         FileInputStream fs = new FileInputStream("test1.ser");
         ObjectInputStream is = new ObjectInputStream(fs);
         int iVar = is.readInt();
         Integer iObj = (Integer) is.readObject();
         String s = (String) is.readObject();
         Time t1 = (Time) is.readObject();
         Time t2 = (Time) is.readObject();
         is.close();
         System.out.println("int Variable:   " + iVar);
         System.out.println("Integer Objekt: " + iObj);
         System.out.println("String Objekt:  " + s);
         System.out.println("Time  Objekt 1: " + t1.toString());
         System.out.println("Time  Objekt 2: " + t2.toString());

      }
      catch (ClassNotFoundException e) {
         System.err.println(e.toString());
      }
      catch (IOException e) {
         System.err.println(e.toString());
      }

   }

}
